#ifndef __I_LIBRARY_H__
#define __I_LIBRARY_H__ 1

class ILibrary
{
public:
    virtual int getResiduePosIn1Seq(int seq1No, int seq2No, int element) = 0;
    virtual int getResiduePosIn2Seq(int seq1No, int seq2No, int element) = 0;
    virtual int getWeight(int seq1No, int seq2No, int element) = 0;
};


#endif
